package com.chinacreator.video.mapper;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

import java.sql.SQLException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 支付转换
 * @author zhengrong.yan
 * @date 20210508
 */
@Component
public interface RelationQueryDao {

	/**
	 * 获取是否重试过
	 * @param spid
	 */
	//String getSyncproduc(@Param("spid") String spid);

	/*
	 * 获取流水号
	 * @return
	 */
	String getNo();

	/**
	 * 添加记录
	 * @param hm
	 */
	void addRec(HashMap hm);

	void upRec(HashMap hm);

	List<HashMap> getRec(@Param("userid")String userid);//查询此用户的所有记录

    HashMap getRec2(@Param("userid")String userid,@Param("spid") String spid);//查询此用户在当前spid下是否有记录

    List<HashMap> getRelation(@Param("userid")String userid);//查询此用户的所有前向产品订购关系

	Integer getCancelMonth(@Param("spid")String spid);

	Integer queryCancelConf(@Param("spid")String spid);

	Integer isCancel(@Param("userid")String userid, @Param("spid")String spid, @Param("num")Integer num);

	String getHyendtime(@Param("ordertime")String ordertime, @Param("num")Integer num);

	List<HashMap> getNextMonthRel(@Param("userid") String userid);

	String getSpid(@Param("productid") String productid);
}
